#include "StdAfx.h"
#include "Resource.h"
#include "global.h"

HWND hTaskWnd;

CAkinaSetting set;

//	^XNgCACR
void SetTrayIcon( DWORD dwMessage, UINT nIcon )
{
	HICON in_hIcon;
	if ( nIcon == 0 )
		in_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	else
		in_hIcon = AfxGetApp()->LoadIcon(nIcon);

	NOTIFYICONDATA nftIcon;

	nftIcon.cbSize = sizeof(nftIcon);
	nftIcon.hWnd = hTaskWnd;
	nftIcon.uID = 0;
	nftIcon.uFlags = NIF_ICON | NIF_MESSAGE | NIF_TIP;
	nftIcon.uCallbackMessage = MY_NOTIFYICON;
	nftIcon.hIcon = in_hIcon;
	lstrcpy(nftIcon.szTip, szProgramTitle);

	Shell_NotifyIcon(dwMessage, &nftIcon);
}

//	dN`FbN
BOOL IsTwofold()
{
	HANDLE hMutex;
	DWORD error_no;
	BOOL bAppInstance = FALSE;
	
	hMutex = CreateMutex(NULL, TRUE, MUTEX_NAME);

	error_no = GetLastError(); /* G[ԍ̎擾 */
	
	/*  */
	if(error_no == 0)
		bAppInstance = FALSE;
	else if(error_no == ERROR_ALREADY_EXISTS)
		bAppInstance = TRUE;
	
	return(bAppInstance);
}

